### Function

# GLib strv_length

since: 2.6

#### Declaration

    guint
    g_strv_length (
      gchar** str_array
    )

#### Description

Returns the length of an array of strings. `str_array` must not be `NULL`.

Available since: 2.6

#### Parameters

`str_array`

  Type: An array of `gchar*`

  An array of strings.

  The array must be `NULL`-terminated.
  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.

#### Return value

Type: `guint`

Length of `str_array`.